org.keycloak.protocol.saml.mappers

## Class GroupMembershipMapper

- java.lang.Object
- - org.keycloak.protocol.saml.mappers.AbstractSAMLProtocolMapper
  - - org.keycloak.protocol.saml.mappers.GroupMembershipMapper

- All Implemented Interfaces:
    ProtocolMapper, SAMLAttributeStatementMapper, ConfiguredProvider, Provider, ProviderFactory<ProtocolMapper>

      public class GroupMembershipMapper
      extends AbstractSAMLProtocolMapper
      implements SAMLAttributeStatementMapper

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`
    `static String` | `SINGLE_GROUP_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupMembershipMapper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProtocolMapperModel` | `create(String name, String samlAttributeName, String nameFormat, String friendlyName, boolean singleAttribute)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getDisplayCategory()`
    `String` | `getDisplayType()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `void` | `transformAttributeStatement(AttributeStatementType attributeStatement, ProtocolMapperModel mappingModel, KeycloakSession session, UserSessionModel userSession, AuthenticatedClientSessionModel clientSession)`
    `static boolean` | `useFullPath(ProtocolMapperModel mappingModel)`

    - ### Methods inherited from class org.keycloak.protocol.saml.mappers.AbstractSAMLProtocolMapper

      `close, create, getProtocol, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.ProtocolMapper

      `getPriority, validateConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### SINGLE_GROUP_ATTRIBUTE

          public static final String SINGLE_GROUP_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GroupMembershipMapper

          public GroupMembershipMapper()

  - ### Method Detail

    - #### getDisplayCategory

          public String getDisplayCategory()

      Specified by:
        `getDisplayCategory` in interface `ProtocolMapper`

    - #### getDisplayType

          public String getDisplayType()

      Specified by:
        `getDisplayType` in interface `ProtocolMapper`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ProtocolMapper>`

    - #### useFullPath

          public static boolean useFullPath(ProtocolMapperModel mappingModel)

    - #### transformAttributeStatement

          public void transformAttributeStatement(AttributeStatementType attributeStatement,
                                                  ProtocolMapperModel mappingModel,
                                                  KeycloakSession session,
                                                  UserSessionModel userSession,
                                                  AuthenticatedClientSessionModel clientSession)

      Specified by:
        `transformAttributeStatement` in interface `SAMLAttributeStatementMapper`

    - #### create

          public static ProtocolMapperModel create(String name,
                                                   String samlAttributeName,
                                                   String nameFormat,
                                                   String friendlyName,
                                                   boolean singleAttribute)

Copyright © 2021 JBoss by Red Hat. All rights reserved.